/*REXX Programm erzeugt die HyperMake Doku nach Ihren Bedrfnissen.*/

"@HMAKE /TEST_IF_HERE >NUL"
if \ (rc = 0) then DO
  say "Zur Erstellung der HyperMake Doku bitte sicherstellen, da die Datei"
  say "KBDVIO32.DLL in ein Verzeichnis kopiert worden ist, das unter LIBPATH"
  say "vorkommt, z. B. C:\OS2\DLL und HMAKE.EXE in einem Verzeichnis, das"
  say "unter PATH vorkommt. Dann Inst_Ger.cmd erneut starten !"
  exit
END

"mode 80,99"
say "Diese HyperMake Installationsroutine erzeugt"
say "die HyperMake Doku nach Ihren Bedrfnissen."
say ""
say "HyperMake kann sowohl IPF- als auch HTML-Dateien erzeugen."
say "Die Erstellung von den Teilen der Doku, die Sie nicht"
say "interessiert, knnen Sie unterdrcken."
say "Drcken Sie J fr Ja und N fr Nein, gefolgt von Return"
say ""
MakeIPF = "FALSE"
MakeHTML = "FALSE"
say "IPF-Dateien werden bentigt, um IBM INF- und HLP-Dateien"
say "zu erzeugen. Um INF- und HLP-Dateien aus einer IPF-Datei" 
say "zu erzeugen, bentigt man den IBM IPFC Compiler."
say "Sind Sie daran interessiert, IPF-Dateien zu erstellen ?"
pull JaNein
Bedingungen = ""
if (JaNein = "J") | (JaNein = "j") then DO
  Bedingungen = Bedingungen "#IPFDOC"
  "@IPFC >NUL"
  if \ (rc < 2) then DO
    say "Um die HyperMake Dokumentation im IBM INF-Format zu erzeugen,"
    say "mu IPFC installiert sein. Es konnte aber kein IPFC.EXE gefunden"
    say "werden. Deswegen ist es nur mglich, die Dokumentation im HTML-"
    say "Format zu erstellen."
    say "Wenn Sie doch IPFC.EXE haben sollten, mu sich IPFC.EXE in einem"
    say "Verzeichnis befinden, das in der PATH-Liste verzeichnet ist oder"
    say "Sie spielen IPFC.EXE in das aktuelle Verzeichnis."
    say "Fortfahren ?"
    pull JaNein
    if (JaNein = "N") | (JaNein = "n") then EXIT
  END
  ELSE DO
    MakeIPF = "TRUE"
    say "IBM INF-Dateien knnen alleine betrachtet werden. HLP-Dateien werden"
    say "immer nur in Verbindung mit einem Programm verwendet. Wenn Sie kein"
    say "Programmierer sind, brauchen Sie keine HLP-Dateien zu erstellen."
    say "Sind Sie daran interessiert, HLP-Dateien zu erstellen ?"
    pull JaNein
    if (JaNein = "J") | (JaNein = "j") then Bedingungen = Bedingungen "#HLPDOC"
  END
END
say "Um HTML-Dateien betrachten zu knnen, bentigt man einen Browser"
say "wie den IBM WebExplorer oder Netscape. (Netscape ist dem IBM Browser"
say "vorzuziehen, da Netscape Farben und Frames untersttzt.)"
say "Sind Sie daran interessiert, HTML-Dateien zu erstellen ?"
pull JaNein
if (JaNein = "J") | (JaNein = "j") then DO
  Bedingungen = Bedingungen "#HTMLDOC"
  MakeHTML = "TRUE"
END
say "Sind Sie vielleicht daran interessiert, einen alten DOS WordStar"
say "statt einem ASCII Editor zu verwenden ?"
pull JaNein
if (JaNein = "J") | (JaNein = "j") then Bedingungen = Bedingungen "#WORDSTARDOC"

say "Die gewhlten Compiler-Bedingungen lauten:" Bedingungen
say ""
if (MakeIPF = "FALSE") & (MakeHTML = "FALSE") then DO
  say "Oh je. Sie wollen weder HTML-Dateien noch IPF-Dateien erstellen!"
  say "Starten Sie nochmal diese Routine und lesen Sie diesmal die Fragen"
  say "grndlich!"
  say "Drcke Return"
  pull WarteAufReturn
  EXIT
END

say "Es wird nun HyperMake (HMAKE.EXE) gestartet, um die Dokumentation im"
if MakeHTML = "TRUE" then DO
  say "im HTML-Format (in der Datei GERMAN\DOKU\INDEX.HTML ist das Inhalts-"
  say "verzeichnis)"
END
if (MakeHTML = "TRUE") & (MakeIPF = "TRUE") then DO
  say "und"
END
if MakeIPF = "TRUE" then DO
  say "im IBM INF-Format (Dateiname GERMAN\DOKU.INF)"
END
say "zu erstellen."

say ""
say "Wollen Sie einen Blick auf die ASCII-Quelltexte werfen,"
say "aus denen HyperMake die Doku generiert ?"
pull JaNein
if (JaNein = "J") | (JaNein = "j") then DO
  "start /f e german\Beispiel.txt"
  "start /f e german\doku.txt"
  say "drcke Return um fortzufahren"
  pull WarteAufReturn
END
if MakeHTML = "TRUE" then DO
  "hmake HTML german\Beispiel.txt /NOID" 
  "hmake HTML german\doku.txt /NOID" Bedingungen
  "copy buttons\german\back.gif german\DOKU"
  "copy buttons\german\forward.gif german\DOKU"
  "copy buttons\german\content.gif german\DOKU"
  "copy buttons\german\index.gif german\DOKU"
  "copy buttons\general\homep.gif german\DOKU"
  "copy buttons\icon\reddot.gif german\DOKU"
  "copy buttons\icon\box.gif german\DOKU"
  "copy german\DOKU\*.gif german\BEISPIEL"

       Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
       Call SysLoadFuncs
       CurrentDir = directory()
       Call SysCreateObject "WPDataFile", "Index.html", CurrentDir"\german\Doku",,
	    "OBJECTID=<Hmake_Doku_Index>;","U"
       Call SysCreateObject "WPShadow", "Index.html", CurrentDir,,
	    "SHADOWID=<Hmake_Doku_Index>;"
       Call SysOpenObject CurrentDir"\german\Beispiel", ICON, TRUE

END
if MakeIPF = "TRUE" then DO
  "hmake IPF german\Beispiel.txt" 
  "copy german\Beispiel.pan" 
  "hmake IPF german\doku.txt" Bedingungen
  "del Beispiel.pan" 
  "IPFC /inf german\Beispiel.ipf /country=049 /language=deu"
  "IPFC /inf german\doku.ipf /country=049 /language=deu"
END
say ""
say "Die Dokumentation und der Beispielstext sind nun erzeugt."
say "drcke Return"
pull WarteAufReturn
